function p.get_is_solid()
    return true
end

function p.get_tex()
    return "block_bathroom2"
end

function p.main()
    set_default_block("r_bathroom2")
    
    std.create_tube(3, "z", "e")
    std.create_tube(3, "y", "e")
    
    local msg_str = "Welcome to (Basement) Floor 2! "
        .. "This level covers ^x00ff00Chapter 2^! of "
        .. "the Creation Manual pdf.\n\n"
        .. "Here you can learn how to make your own "
        .. "sounds, textures, and meshes.\n\n"
        .. "Note: if you ever do something "
        .. "which causes the program to crash, "
        .. "you can look at the end of the file stdout.txt "
        .. "to see what happened.\n\n"
        .. "If you have not already, it is "
        .. "a good idea to make a copy of the tutorial package "
        .. "(./Data/Packages/package_tutorial1) "
        .. "just in case something goes wrong. "
        .. "You can also redownload the package from the website "
        .. "http://danthemanhathaway.com/ComputerGames/\n"
        .. "FractalBlockWorld/ReleaseMisc/Packages/index.html"
    add_bent_s(7,7,7,"bent_base_txt",msg_str)
end
